Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalComboBoxIcon

public class MetalComboBoxIcon
extends java.lang.Object
implements Icon, java.io.Serializable

This utility class draws the horizontal bars which indicate a MetalComboBox

See Also:
  `MetalComboBoxUI`, Serialized Form

Constructor Summary
`MetalComboBoxIcon()`

Method Summary
`int` | `getIconHeight()` stubbed to statify the interface.
`int` | `getIconWidth()` stubbed to statify the interface.
`void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)` Paints the horizontal bars for the

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalComboBoxIcon

    public MetalComboBoxIcon()

Method Detail

### paintIcon

    public void paintIcon(java.awt.Component c,
                          java.awt.Graphics g,
                          int x,
                          int y)

  Paints the horizontal bars for the
  Specified by:
    paintIcon in interface Icon

### getIconWidth

    public int getIconWidth()

  stubbed to statify the interface.
  Specified by:
    getIconWidth in interface Icon

### getIconHeight

    public int getIconHeight()

  stubbed to statify the interface.
  Specified by:
    getIconHeight in interface Icon

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.